Bug 432754 - [as_IN] gtk2 Error in Translated file
[as_IN] gtk2 Error in Translated file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Translation
Depends On:
Blocks: 432932
  Show dependency treegraph
 
Reported: 2008-02-13 23:59 EST by A S Alam
Modified: 2013-07-02 20:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.12.11-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-08 22:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A S Alam 2008-02-13 23:59:04 EST
Description of problem:
file as errors as following (run system-config-date from Terminal)

http://l10n.gnome.org/POT/gtk+.gtk-2-12/gtk+.gtk-2-12.as.po


msgid "calendar:MY"
msgstr "পঞ্জিকা:MY"

msgid "calendar:week_start:0"
msgstr "পঞ্জিকা:সপ্তাহ আৰম্ভ(_s):0"



Version-Release number of selected component (if applicable):
gedit-2.20.4-1.fc9

How reproducible:
100%

Steps to Reproduce:
1. run system-config-date from terminal with as_IN locale
2.
3.
  
Actual results:
got error

Expected results:
should be error free

Additional info:
Please Make sure Commit also should be Trunk, it seems people don't commit to
trunk, which can revert back all fixed changes and Translation status is really
low for Trunk (<30%) otherwise
Comment 1 Amitakhya Phukan 2008-02-14 00:14:32 EST
i am not able to get the meaning... the pot file is for gtk+, the command to
execute is system-config-date with as_IN locale and the component is gedit...
what do you want me to test ? system-config-date works perfectly here in my machine.
Comment 2 A S Alam 2008-02-14 00:21:51 EST
version is:
gtk2-2.12.7-1.fc9.i386

run from terminal: system-config-date
----------
 script-alam]$ export LANG=as_IN.UTF-8
[aalam@localhost script-alam]$ system-config-date

(system-config-date.py:6164): Gtk-WARNING **: Whoever translated default:LTR did
so wrongly.

/usr/share/system-config-date/scdMainWindow.py:246: GtkWarning: Whoever
translated calendar:MY did so wrongly.

  self.xml = gtk.glade.XML
("/usr/share/system-config-date/system-config-date.glade",
domain="system-config-date")
[aalam@localhost script-alam]$                                                 
                      
---------

Please read line with "Whoever translated calendar:MY did so wrongly."
which is based on GTK+
Comment 3 Amitakhya Phukan 2008-02-15 05:39:50 EST
hi aalam,

updated the files in trunk as well as branch. the gtk+/po file for assamese is
updated. please do revert back to me if there are any changes required.
Comment 4 Ankit Patel 2008-02-27 06:20:57 EST
As translation has been corrected and submitted upstream, reassigning bug back
to the owner and qa component of the package owner to rebuild the package with
the latest translation...
Comment 5 Bug Zapper 2008-05-14 01:11:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matthias Clasen 2008-06-16 20:18:54 EDT
I've backported the fix to the 2.12 branch upstream, so it'll appear in F9 when
we update to the next 2.12.x release.
Comment 7 Fedora Update System 2008-07-08 22:43:06 EDT
gtk2-2.12.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Amitakhya Phukan 2008-07-14 11:10:08 EDT
Hi,

this is what i get now ... it doesn't say anything about calendar thing as
mentioned by aalam but it says about default:LTR. i don't know where it is
picking that from.

---------
[root@aphukan ~]# LANG=as_IN.UTF-8 system-config-date

(system-config-date.py:7222): Gtk-WARNING **: Whoever translated default:LTR did
so wrongly.

Loading socket Config module ...
Creating backend ...
Loading x11 FrontEnd module ...
Failed to load x11 FrontEnd module.
Loading simple Config module ...
Creating backend ...
Loading socket FrontEnd module ...
Starting SCIM as daemon ...
[root@aphukan ~]# 

------------
Comment 9 Matthias Clasen 2008-07-14 11:35:18 EDT
from as.po:

#. Translate to default:RTL if you want your widgets
#. * to be RTL, otherwise translate to default:LTR.
#. * Do *not* translate it to "predefinito:LTR", if it
#. * it isn't default:LTR or default:RTL it will not work
#.
#: gtk/gtkmain.c:678
msgid "default:LTR"
msgstr "অবিকল্পিত:LTR"
Comment 10 Fedora Update System 2008-07-26 01:59:25 EDT
gtk2-2.12.11-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.